%global rosrelease fuerte

Name:		ros-fuerte-release
Version:	5.0
Release:	2%{?dist}
Summary:	Robot Operating System release files

Group:		Development/Libraries
License:	BSD
URL:		http://www.ros.org
BuildArch:	noarch
Provides:       ros-release

%description
ROS Release files, macros, and common directories for ROS packages

%install
install -d %{buildroot}%{_sysconfdir}/ros
install -d %{buildroot}%{_datadir}/ros/cmake

cat >> %{buildroot}%{_sysconfdir}/ros-release << EOF
ROS %{rosrelease} (Fuerte Turtle)
EOF

install -d %{buildroot}%{_sysconfdir}/rpm
cat >> %{buildroot}/etc/rpm/macros.ros << EOF
# ROS Macros

%%rosrelease              %{rosrelease}
EOF

%files
%dir %{_sysconfdir}/ros
%{_datadir}/ros
%config(noreplace) %{_sysconfdir}/ros-release
%config(noreplace) %{_sysconfdir}/rpm/macros.ros

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 5.0-2
- Rebuild for new copr

* Tue Sep 25 2012 Rich Mattes <richmattes@gmail.com> - 5.0-1
- Initial version
